Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fArray

    java.lang.Object
      jet.connect.DbValue
          jet.formula.fArray

Direct Known Subclasses:
  fBinaryArray, fBoolArray, fCurArray, fDateArray, fDateTimeArray, fImageArray, fIntArray, fNumArray, fRange, fStrArray, fTextArray, fTimeArray

    public abstract class fArray

extends DbValue

represents array type data

Field Summary
`DbValue[]` | `value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`fArray()`
`fArray(int arraysize)`

Method Summary
`int` | `compareTo(DbValue dbv)` Compare with the dbvalue v;
`boolean` | `equals(DbValue dbv)` Determine if another DbValue object is of equal value as this DbValue Object
`java.lang.Object` | `getArray(int datatype)`
`static fArray` | `getInstance(int dataType, DbColDesc desc)` REQ FS-server-48372-727-FirstData-multiple-selection
`static fArray` | `getSpecialInstance(int dataType, DbColDesc desc)`
`void` | `set(DbValue dbv)` Set the value with DbValue.
`void` | `set(DbValue[] value)`
`void` | `set(java.sql.ResultSet res, int i)` Set the value with result set.
`void` | `setValue(java.lang.String v)` Set the value with a string.
`java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class jet.connect.DbValue
`clone, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, setColDesc, setfoo, setNull, setValue`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public DbValue[] value

Constructor Detail

### fArray

    public fArray()

### fArray

    public fArray(int arraysize)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Specified by:
    `toString` in class `DbValue`

### set

    public void set(java.sql.ResultSet res,
                    int i)

  Description copied from class: `DbValue`
  Set the value with result set.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `res` - the source value result set.
    `i` - the source value column number in the rs.

### set

    public void set(DbValue[] value)

### set

    public void set(DbValue dbv)

  Description copied from class: `DbValue`
  Set the value with DbValue.

  Specified by:
    `set` in class `DbValue`

### equals

    public boolean equals(DbValue dbv)

  Description copied from class: `DbValue`
  Determine if another DbValue object is of equal value as this DbValue Object

  Specified by:
    `equals` in class `DbValue`

### compareTo

    public int compareTo(DbValue dbv)

  Description copied from class: `DbValue`
  Compare with the dbvalue v;

  Specified by:
    `compareTo` in class `DbValue`
  Returns:
    LESS, EQUAL, GREAT.

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `DbValue`
  Set the value with a string.

  Specified by:
    `setValue` in class `DbValue`

### getArray

    public java.lang.Object getArray(int datatype)

### getInstance

    public static fArray getInstance(int dataType,
                                     DbColDesc desc)

  REQ FS-server-48372-727-FirstData-multiple-selection

  Parameters:
    `dataType` -
  Returns:

### getSpecialInstance

    public static fArray getSpecialInstance(int dataType,
                                            DbColDesc desc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD